<?php
    require_once '../../../datab.php';


$tablet_id = isset($_GET['tablet_id']) ? $_GET['tablet_id'] : '';



// SQL query to fetch formula based on tablet_id
$sql = "SELECT f.formula
        FROM tablet_data t
        INNER JOIN formula_data f ON t.formula_id = f.formula_id
        WHERE t.tablet_id = $tablet_id";

// Prepare the statement
$stmt = $conn->prepare($sql);

if ($stmt === false) {
    die('MySQL prepare error: ' . htmlspecialchars($conn->error));
}

// Bind parameters
$stmt->bind_param('s', $tablet_id);

// Execute statement
$stmt->execute();

// Bind result variables
$stmt->bind_result($formula);

// Fetch the result
if ($stmt->fetch()) {
    // Return the formula as JSON response
    $response = array(
        'tablet_id' => $tablet_id,
        'formula' => $formula
    );
    header('Content-Type: application/json');
    echo json_encode($response);
} else {
    // No formula found for the given tablet_id
    header("HTTP/1.1 404 Not Found");
    echo json_encode(array('error' => 'Formula not found for tablet ID ' . $tablet_id));
}

// Close statement and connection
$stmt->close();
$conn->close();
?>
