<?php

require_once '../../../datab.php';


header('Content-Type: application/json');

if (!isset($_POST['batch_id'])) {
    http_response_code(400); // Bad request
    echo json_encode(array('status' => 'Error', 'message' => 'Batch ID is required.'));
    exit;
}

$batchId = mysqli_real_escape_string($conn, $_POST['batch_id']);



$sql = "SELECT mr.id, mr.tablet_name, mr.dosage, mr.description, mr.deadline, mr.status AS medicine_status,
               mr.created_at, mr.updated_at, mr.count, mr.type,
               rwb.date AS batch_date, rwb.requestedBy AS batch_requestedBy, rwb.order_no AS batch_order_no, rwb.description AS batch_description, rwb.status AS batch_status
        FROM medicine_requests mr
        INNER JOIN request_ward_batch rwb ON mr.requestBatchid = rwb.id
        WHERE mr.requestBatchid = $batchId";


$result = $conn->query($sql);

if ($result->num_rows > 0) {
    $rows = array();
    while ($row = $result->fetch_assoc()) {
        $rows[] = $row;
    }
    echo json_encode(array('status' => 'Success', 'data' => $rows));
} else {
    echo json_encode(array('status' => 'Error', 'message' => 'No request contents found for the specified batch ID.'));
}

// Close connection
$conn->close();

?>
