<?php

require_once '../../../datab.php';

// Set headers to json
header('Content-Type: application/json');

// Initialize response array
$response = array();

// Check database connection
if ($conn->connect_error) {
    $response['status'] = 'Error';
    $response['message'] = 'Database connection failed: ' . $conn->connect_error;
    echo json_encode($response);
    exit;
}

// Select data from request_ward_batch table
$sql = "SELECT id, date, requestedBy, order_no, status, description FROM request_ward_batch ORDER BY id DESC";

$result = $conn->query($sql);

if ($result) {
    if ($result->num_rows > 0) {
        $rows = array();
        while ($row = $result->fetch_assoc()) {
            $rows[] = $row;
        }
        $response['status'] = 'Success';
        $response['data'] = $rows;
    } else {
        $response['status'] = 'Error';
        $response['message'] = 'No request batches found.';
    }
} else {
    $response['status'] = 'Error';
    $response['message'] = 'Query execution error: ' . $conn->error;
}

// Close connection
$conn->close();

// Output JSON response
echo json_encode($response);

?>
