<?php
require_once '../../../datab.php';

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Retrieve and decode the JSON data sent via POST
    $patientRecordId = $_POST['patient_record_id'];
    $userType = $_POST['user_type'];
    $medicines = json_decode($_POST['med_data'], true); // Decode JSON into associative array

    // Check if medicines array is empty
    if (empty($medicines)) {
        // Respond with error indicating no data received
        $response = array("status" => "Error", "error" => "No medicines data received.");
        echo json_encode($response);
        exit;
    }

    // Insert medicines into the database
    foreach ($medicines as $medicine) {
        $tabletName = $medicine['tablet_name'];
        $dosage = $medicine['dosage'];
        $type = $medicine['type'];
        $drugType = $medicine['drug_type'];
        $timeTaken = $medicine['time_taken'];
        $frequency = $medicine['frequency'];
        $duration = $medicine['duration'];

        // Perform your database insert operation here
        // Example using PDO (you can use MySQLi or any other preferred method)
        $stmt = $pdo->prepare("INSERT INTO op_medications (patient_record_id, tablet_name, dosage, type, drug_type, time_taken, frequency, duration, user_type) 
                                VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)");
        $stmt->execute([$patientRecordId, $tabletName, $dosage, $type, $drugType, $timeTaken, $frequency, $duration, $userType]);
    }

    // Respond with JSON indicating success
    $response = array("status" => "Success");
    echo json_encode($response);
    exit;
} else {
    // Respond with error if request method is not POST
    $response = array("status" => "Error", "error" => "Invalid request method.");
    echo json_encode($response);
    exit;
}
?>
